# azure.mgmt.cdn.operations module

class `azure.mgmt.cdn.operations.``ProfilesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ProfilesOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  `create`(profile_name, profile_properties, resource_group_name, custom_headers=None, raw=False, **operation_config)

    Creates a new CDN profile with the specified parameters.

    Parameters:

    - profile_name (str) – Name of the CDN profile within the resource group.
    - profile_properties (`ProfileCreateParameters`) – Profile properties needed for creation.
    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response

    Return type: | `AzureOperationPoller` instance that returns `Profile`
    Return type: | `ClientRawResponse` if raw=true

  `delete_if_exists`(profile_name, resource_group_name, custom_headers=None, raw=False, **operation_config)

    Deletes an existing CDN profile with the specified parameters. Deleting a profile will result in the deletion of all subresources including endpoints, origins and custom domains.

    Parameters:

    - profile_name (str) – Name of the CDN profile within the resource group.
    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response

    Return type: | `AzureOperationPoller` instance that returns None
    Return type: | `ClientRawResponse` if raw=true

  `generate_sso_uri`(profile_name, resource_group_name, custom_headers=None, raw=False, **operation_config)

    Generates a dynamic SSO URI used to sign in to the CDN Supplemental Portal used for advanced management tasks, such as Country Filtering, Advanced HTTP Reports, and Real-time Stats and Alerts. The SSO URI changes approximately every 10 minutes.

    Parameters:

    - profile_name (str) – Name of the CDN profile within the resource group.
    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SsoUri`
    Return type: | `ClientRawResponse` if raw=true

  `get`(profile_name, resource_group_name, custom_headers=None, raw=False, **operation_config)

    Gets a CDN profile with the specified parameters.

    Parameters:

    - profile_name (str) – Name of the CDN profile within the resource group.
    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `Profile`
    Return type: | `ClientRawResponse` if raw=true

  `list_by_resource_group`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Lists the CDN profiles within a resource group.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `ProfilePaged`

  `list_by_subscription_id`(custom_headers=None, raw=False, **operation_config)

    Lists the CDN profiles within an Azure subscitption.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `ProfilePaged`

  `update`(profile_name, resource_group_name, tags, custom_headers=None, raw=False, **operation_config)

    Updates an existing CDN profile with the specified parameters.

    Parameters:

    - profile_name (str) – Name of the CDN profile within the resource group.
    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - tags (dict) – Profile tags
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response

    Return type: | `AzureOperationPoller` instance that returns `Profile`
    Return type: | `ClientRawResponse` if raw=true

class `azure.mgmt.cdn.operations.``EndpointsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  EndpointsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  `create`(endpoint_name, endpoint_properties, profile_name, resource_group_name, custom_headers=None, raw=False, **operation_config)

    Creates a new CDN endpoint with the specified parameters.

    Parameters:

    - endpoint_name (str) – Name of the endpoint within the CDN profile.
    - endpoint_properties (`EndpointCreateParameters`) – Endpoint properties
    - profile_name (str) – Name of the CDN profile within the resource group.
    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response

    Return type: | `AzureOperationPoller` instance that returns `Endpoint`
    Return type: | `ClientRawResponse` if raw=true

  `delete_if_exists`(endpoint_name, profile_name, resource_group_name, custom_headers=None, raw=False, **operation_config)

    Deletes an existing CDN endpoint with the specified parameters.

    Parameters:

    - endpoint_name (str) – Name of the endpoint within the CDN profile.
    - profile_name (str) – Name of the CDN profile within the resource group.
    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response

    Return type: | `AzureOperationPoller` instance that returns None
    Return type: | `ClientRawResponse` if raw=true

  `get`(endpoint_name, profile_name, resource_group_name, custom_headers=None, raw=False, **operation_config)

    Gets an existing CDN endpoint with the specified parameters.

    Parameters:

    - endpoint_name (str) – Name of the endpoint within the CDN profile.
    - profile_name (str) – Name of the CDN profile within the resource group.
    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `Endpoint`
    Return type: | `ClientRawResponse` if raw=true

  `list_by_profile`(profile_name, resource_group_name, custom_headers=None, raw=False, **operation_config)

    Lists existing CDN endpoints within a profile.

    Parameters:

    - profile_name (str) – Name of the CDN profile within the resource group.
    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `EndpointPaged`

  `load_content`(endpoint_name, profile_name, resource_group_name, content_paths, custom_headers=None, raw=False, **operation_config)

    Forcibly pre-loads CDN endpoint content.

    Parameters:

    - endpoint_name (str) – Name of the endpoint within the CDN profile.
    - profile_name (str) – Name of the CDN profile within the resource group.
    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - content_paths (list of str) – The path to the content to be loaded. Should describe a file path.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response

    Return type: | `AzureOperationPoller` instance that returns None
    Return type: | `ClientRawResponse` if raw=true

  `purge_content`(endpoint_name, profile_name, resource_group_name, content_paths, custom_headers=None, raw=False, **operation_config)

    Forcibly purges CDN endpoint content.

    Parameters:

    - endpoint_name (str) – Name of the endpoint within the CDN profile.
    - profile_name (str) – Name of the CDN profile within the resource group.
    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - content_paths (list of str) – The path to the content to be purged. Can describe a file path or a wild card directory.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response

    Return type: | `AzureOperationPoller` instance that returns None
    Return type: | `ClientRawResponse` if raw=true

  `start`(endpoint_name, profile_name, resource_group_name, custom_headers=None, raw=False, **operation_config)

    Starts an existing stopped CDN endpoint.

    Parameters:

    - endpoint_name (str) – Name of the endpoint within the CDN profile.
    - profile_name (str) – Name of the CDN profile within the resource group.
    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response

    Return type: | `AzureOperationPoller` instance that returns `Endpoint`
    Return type: | `ClientRawResponse` if raw=true

  `stop`(endpoint_name, profile_name, resource_group_name, custom_headers=None, raw=False, **operation_config)

    Stops an existing running CDN endpoint.

    Parameters:

    - endpoint_name (str) – Name of the endpoint within the CDN profile.
    - profile_name (str) – Name of the CDN profile within the resource group.
    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response

    Return type: | `AzureOperationPoller` instance that returns `Endpoint`
    Return type: | `ClientRawResponse` if raw=true

  `update`(endpoint_name, endpoint_properties, profile_name, resource_group_name, custom_headers=None, raw=False, **operation_config)

    Updates an existing CDN endpoint with the specified parameters. Only tags and OriginHostHeader can be updated after creating an endpoint. To update origins, use the Update Origin operation. To update custom domains, use the Update Custom Domain operation.

    Parameters:

    - endpoint_name (str) – Name of the endpoint within the CDN profile.
    - endpoint_properties (`EndpointUpdateParameters`) – Endpoint properties
    - profile_name (str) – Name of the CDN profile within the resource group.
    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response

    Return type: | `AzureOperationPoller` instance that returns `Endpoint`
    Return type: | `ClientRawResponse` if raw=true

  `validate_custom_domain`(endpoint_name, profile_name, resource_group_name, host_name, custom_headers=None, raw=False, **operation_config)

    Validates a custom domain mapping to ensure it maps to the correct CNAME in DNS.

    Parameters:

    - endpoint_name (str) – Name of the endpoint within the CDN profile.
    - profile_name (str) – Name of the CDN profile within the resource group.
    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - host_name (str) – The host name of the custom domain. Must be a domain name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `ValidateCustomDomainOutput`
    Return type: | `ClientRawResponse` if raw=true

class `azure.mgmt.cdn.operations.``OriginsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  OriginsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  `create`(origin_name, origin_properties, endpoint_name, profile_name, resource_group_name, custom_headers=None, raw=False, **operation_config)

    Creates a new CDN origin within an endpoint.

    Parameters:

    - origin_name (str) – Name of the origin, an arbitrary value but it needs to be unique under endpoint
    - origin_properties (`OriginParameters`) – Origin properties
    - endpoint_name (str) – Name of the endpoint within the CDN profile.
    - profile_name (str) – Name of the CDN profile within the resource group.
    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response

    Return type: | `AzureOperationPoller` instance that returns `Origin`
    Return type: | `ClientRawResponse` if raw=true

  `delete_if_exists`(origin_name, endpoint_name, profile_name, resource_group_name, custom_headers=None, raw=False, **operation_config)

    Deletes an existing CDN origin within an endpoint.

    Parameters:

    - origin_name (str) – Name of the origin. Must be unique within endpoint.
    - endpoint_name (str) – Name of the endpoint within the CDN profile.
    - profile_name (str) – Name of the CDN profile within the resource group.
    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response

    Return type: | `AzureOperationPoller` instance that returns `Origin`
    Return type: | `ClientRawResponse` if raw=true

  `get`(origin_name, endpoint_name, profile_name, resource_group_name, custom_headers=None, raw=False, **operation_config)

    Gets an existing CDN origin within an endpoint.

    Parameters:

    - origin_name (str) – Name of the origin, an arbitrary value but it needs to be unique under endpoint
    - endpoint_name (str) – Name of the endpoint within the CDN profile.
    - profile_name (str) – Name of the CDN profile within the resource group.
    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `Origin`
    Return type: | `ClientRawResponse` if raw=true

  `list_by_endpoint`(endpoint_name, profile_name, resource_group_name, custom_headers=None, raw=False, **operation_config)

    Lists the existing CDN origins within an endpoint.

    Parameters:

    - endpoint_name (str) – Name of the endpoint within the CDN profile.
    - profile_name (str) – Name of the CDN profile within the resource group.
    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `OriginPaged`

  `update`(origin_name, origin_properties, endpoint_name, profile_name, resource_group_name, custom_headers=None, raw=False, **operation_config)

    Updates an existing CDN origin within an endpoint.

    Parameters:

    - origin_name (str) – Name of the origin. Must be unique within endpoint.
    - origin_properties (`OriginParameters`) – Origin properties
    - endpoint_name (str) – Name of the endpoint within the CDN profile.
    - profile_name (str) – Name of the CDN profile within the resource group.
    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response

    Return type: | `AzureOperationPoller` instance that returns `Origin`
    Return type: | `ClientRawResponse` if raw=true

class `azure.mgmt.cdn.operations.``CustomDomainsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  CustomDomainsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  `create`(custom_domain_name, endpoint_name, profile_name, resource_group_name, host_name, custom_headers=None, raw=False, **operation_config)

    Creates a new CDN custom domain within an endpoint.

    Parameters:

    - custom_domain_name (str) – Name of the custom domain within an endpoint.
    - endpoint_name (str) – Name of the endpoint within the CDN profile.
    - profile_name (str) – Name of the CDN profile within the resource group.
    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - host_name (str) – The host name of the custom domain. Must be a domain name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response

    Return type: | `AzureOperationPoller` instance that returns `CustomDomain`
    Return type: | `ClientRawResponse` if raw=true

  `delete_if_exists`(custom_domain_name, endpoint_name, profile_name, resource_group_name, custom_headers=None, raw=False, **operation_config)

    Deletes an existing CDN custom domain within an endpoint.

    Parameters:

    - custom_domain_name (str) – Name of the custom domain within an endpoint.
    - endpoint_name (str) – Name of the endpoint within the CDN profile.
    - profile_name (str) – Name of the CDN profile within the resource group.
    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response

    Return type: | `AzureOperationPoller` instance that returns `CustomDomain`
    Return type: | `ClientRawResponse` if raw=true

  `get`(custom_domain_name, endpoint_name, profile_name, resource_group_name, custom_headers=None, raw=False, **operation_config)

    Gets an existing CDN custom domain within an endpoint.

    Parameters:

    - custom_domain_name (str) – Name of the custom domain within an endpoint.
    - endpoint_name (str) – Name of the endpoint within the CDN profile.
    - profile_name (str) – Name of the CDN profile within the resource group.
    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `CustomDomain`
    Return type: | `ClientRawResponse` if raw=true

  `list_by_endpoint`(endpoint_name, profile_name, resource_group_name, custom_headers=None, raw=False, **operation_config)

    Lists the existing CDN custom domains within an endpoint.

    Parameters:

    - endpoint_name (str) – Name of the endpoint within the CDN profile.
    - profile_name (str) – Name of the CDN profile within the resource group.
    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `CustomDomainPaged`

  `update`(custom_domain_name, endpoint_name, profile_name, resource_group_name, host_name, custom_headers=None, raw=False, **operation_config)

    Updates an existing CDN custom domain within an endpoint.

    Parameters:

    - custom_domain_name (str) – Name of the custom domain within an endpoint.
    - endpoint_name (str) – Name of the endpoint within the CDN profile.
    - profile_name (str) – Name of the CDN profile within the resource group.
    - resource_group_name (str) – Name of the resource group within the Azure subscription.
    - host_name (str) – The host name of the custom domain. Must be a domain name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `ErrorResponse`
    Return type: | `ClientRawResponse` if raw=true

class `azure.mgmt.cdn.operations.``NameAvailabilityOperations`(client, config, serializer, deserializer)

  Bases: `object`

  NameAvailabilityOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  `check_name_availability`(name, custom_headers=None, raw=False, **operation_config)

    Check the availability of a resource name without creating the resource. This is needed for resources where name is globally unique, such as a CDN endpoint.

    Parameters:

    - name (str) – The resource name to validate.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `CheckNameAvailabilityOutput`
    Return type: | `ClientRawResponse` if raw=true

class `azure.mgmt.cdn.operations.``OperationsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  OperationsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  `list`(custom_headers=None, raw=False, **operation_config)

    Lists all of the available CDN REST API operations.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `OperationPaged`